From efd5cb907bc2beacb4ce964ae569f80a30bad2ff Mon Sep 17 00:00:00 2001
From: Ryan Brue <ryanbrue@hotmail.com>
Date: May 19 2024 20:12:41 +0000
Subject: [PATCH 152/220] fix: Write vendor config to config.toml


NOTE: This currently breaks any other build that's not Fedora Rawhide, as this change coincides with a rust-packaging change: https://pagure.io/fedora-rust/rust-packaging/c/146c0bec7738d7e3302f61391e3ea62522053446?branch=main

---

diff --git a/rpms/cosmic-app-library/cosmic-app-library.spec b/rpms/cosmic-app-library/cosmic-app-library.spec
index 1981516..85fd6e4 100644
--- a/rpms/cosmic-app-library/cosmic-app-library.spec
+++ b/rpms/cosmic-app-library/cosmic-app-library.spec
@@ -69,7 +69,7 @@ BuildRequires:  just
 %prep
 %autosetup -n %{crate}-%{commit} -p1 -a1
 %cargo_prep -N
-cat .vendor/config.toml >> .cargo/config
+cat .vendor/config.toml >> .cargo/config.toml
 
 %build
 %cargo_build
diff --git a/rpms/cosmic-applets/cosmic-applets.spec b/rpms/cosmic-applets/cosmic-applets.spec
index 6d52a95..6e03918 100644
--- a/rpms/cosmic-applets/cosmic-applets.spec
+++ b/rpms/cosmic-applets/cosmic-applets.spec
@@ -76,7 +76,7 @@ Requires:       cosmic-panel
 %prep
 %autosetup -n cosmic-applets-%{commit} -p1 -a1
 %cargo_prep -N
-cat .vendor/config.toml >> .cargo/config
+cat .vendor/config.toml >> .cargo/config.toml
 
 %build
 %cargo_build
diff --git a/rpms/cosmic-bg/cosmic-bg.spec b/rpms/cosmic-bg/cosmic-bg.spec
index 8f5f73c..2b2ceed 100644
--- a/rpms/cosmic-bg/cosmic-bg.spec
+++ b/rpms/cosmic-bg/cosmic-bg.spec
@@ -61,7 +61,7 @@ Requires:       cosmic-session
 %prep
 %autosetup -n cosmic-bg-%{commit} -p1 -a1
 %cargo_prep -N
-cat .vendor/config.toml >> .cargo/config
+cat .vendor/config.toml >> .cargo/config.toml
 
 %build
 %cargo_build
diff --git a/rpms/cosmic-comp/cosmic-comp.spec b/rpms/cosmic-comp/cosmic-comp.spec
index 64e9b2f..b2b98a4 100644
--- a/rpms/cosmic-comp/cosmic-comp.spec
+++ b/rpms/cosmic-comp/cosmic-comp.spec
@@ -79,7 +79,7 @@ Recommends:     cosmic-session
 %prep
 %autosetup -n cosmic-comp-%{commit} -p1 -a1
 %cargo_prep -N
-cat .vendor/config.toml >> .cargo/config
+cat .vendor/config.toml >> .cargo/config.toml
 
 %build
 %cargo_build
diff --git a/rpms/cosmic-edit/cosmic-edit.spec b/rpms/cosmic-edit/cosmic-edit.spec
index 06ec54f..2c8b531 100644
--- a/rpms/cosmic-edit/cosmic-edit.spec
+++ b/rpms/cosmic-edit/cosmic-edit.spec
@@ -74,7 +74,7 @@ BuildRequires:  git-core
 %prep
 %autosetup -n %{crate}-%{commit} -p1 -a1
 %cargo_prep -N
-cat .vendor/config.toml >> .cargo/config
+cat .vendor/config.toml >> .cargo/config.toml
 
 %build
 %cargo_build
diff --git a/rpms/cosmic-files/cosmic-files.spec b/rpms/cosmic-files/cosmic-files.spec
index 6b39582..d033e69 100644
--- a/rpms/cosmic-files/cosmic-files.spec
+++ b/rpms/cosmic-files/cosmic-files.spec
@@ -74,7 +74,7 @@ BuildRequires:  git-core
 %prep
 %autosetup -n %{crate}-%{commit} -p1 -a1
 %cargo_prep -N
-cat .vendor/config.toml >> .cargo/config
+cat .vendor/config.toml >> .cargo/config.toml
 
 %build
 %cargo_build
diff --git a/rpms/cosmic-greeter/cosmic-greeter.spec b/rpms/cosmic-greeter/cosmic-greeter.spec
index 3cbde20..e06c7fe 100644
--- a/rpms/cosmic-greeter/cosmic-greeter.spec
+++ b/rpms/cosmic-greeter/cosmic-greeter.spec
@@ -81,7 +81,7 @@ Requires:       cosmic-comp
 %prep
 %autosetup -n cosmic-greeter-%{commit} -p1 -a1
 %cargo_prep -N
-cat .vendor/config.toml >> .cargo/config
+cat .vendor/config.toml >> .cargo/config.toml
 
 %build
 cargo build --release --all --offline --frozen
diff --git a/rpms/cosmic-launcher/cosmic-launcher.spec b/rpms/cosmic-launcher/cosmic-launcher.spec
index 3d42fb1..ca57525 100644
--- a/rpms/cosmic-launcher/cosmic-launcher.spec
+++ b/rpms/cosmic-launcher/cosmic-launcher.spec
@@ -74,7 +74,7 @@ Requires:       pop-launcher
 %prep
 %autosetup -n %{crate}-%{commit} -p1 -a1
 %cargo_prep -N
-cat .vendor/config.toml >> .cargo/config
+cat .vendor/config.toml >> .cargo/config.toml
 
 %build
 %cargo_build
diff --git a/rpms/cosmic-notifications/cosmic-notifications.spec b/rpms/cosmic-notifications/cosmic-notifications.spec
index 0b839c1..a50e2ac 100644
--- a/rpms/cosmic-notifications/cosmic-notifications.spec
+++ b/rpms/cosmic-notifications/cosmic-notifications.spec
@@ -67,7 +67,7 @@ BuildRequires:  just
 %prep
 %autosetup -n cosmic-notifications-%{commit} -p1 -a1
 %cargo_prep -N
-cat .vendor/config.toml >> .cargo/config
+cat .vendor/config.toml >> .cargo/config.toml
 
 %build
 %cargo_build
diff --git a/rpms/cosmic-osd/cosmic-osd.spec b/rpms/cosmic-osd/cosmic-osd.spec
index 1164d35..1dd84b3 100644
--- a/rpms/cosmic-osd/cosmic-osd.spec
+++ b/rpms/cosmic-osd/cosmic-osd.spec
@@ -72,7 +72,7 @@ BuildRequires:  make
 %prep
 %autosetup -n %{crate}-%{commit} -p1 -a1
 %cargo_prep -N
-cat .vendor/config.toml >> .cargo/config
+cat .vendor/config.toml >> .cargo/config.toml
 
 %build
 make all polkit-agent-helper-1=/usr/lib/polkit-1/polkit-agent-helper-1
diff --git a/rpms/cosmic-panel/cosmic-panel.spec b/rpms/cosmic-panel/cosmic-panel.spec
index 3a9c263..5240cd0 100644
--- a/rpms/cosmic-panel/cosmic-panel.spec
+++ b/rpms/cosmic-panel/cosmic-panel.spec
@@ -64,7 +64,7 @@ BuildRequires:  just
 %prep
 %autosetup -n cosmic-panel-%{commit} -p1 -a1
 %cargo_prep -N
-cat .vendor/config.toml >> .cargo/config
+cat .vendor/config.toml >> .cargo/config.toml
 
 %build
 %cargo_build
diff --git a/rpms/cosmic-randr/cosmic-randr.spec b/rpms/cosmic-randr/cosmic-randr.spec
index 00cf805..1591874 100644
--- a/rpms/cosmic-randr/cosmic-randr.spec
+++ b/rpms/cosmic-randr/cosmic-randr.spec
@@ -55,7 +55,7 @@ Cosmic-randr command line interface.}
 %prep
 %autosetup -n cosmic-randr-%{commit} -p1 -a1
 %cargo_prep -N
-cat .vendor/config.toml >> .cargo/config
+cat .vendor/config.toml >> .cargo/config.toml
 
 %build
 %cargo_build
diff --git a/rpms/cosmic-screenshot/cosmic-screenshot.spec b/rpms/cosmic-screenshot/cosmic-screenshot.spec
index b350a65..391fdfb 100644
--- a/rpms/cosmic-screenshot/cosmic-screenshot.spec
+++ b/rpms/cosmic-screenshot/cosmic-screenshot.spec
@@ -58,7 +58,7 @@ BuildRequires:  just
 %prep
 %autosetup -n %{crate}-%{commit} -p1 -a1
 %cargo_prep -N
-cat .vendor/config.toml >> .cargo/config
+cat .vendor/config.toml >> .cargo/config.toml
 
 %build
 %cargo_build
diff --git a/rpms/cosmic-session/cosmic-session.spec b/rpms/cosmic-session/cosmic-session.spec
index a01d9a2..c2d1e7b 100644
--- a/rpms/cosmic-session/cosmic-session.spec
+++ b/rpms/cosmic-session/cosmic-session.spec
@@ -84,7 +84,7 @@ The session manager for the COSMIC desktop environment.}
 %prep
 %autosetup -n %{crate}-%{commit} -p1 -a1
 %cargo_prep -N
-cat .vendor/config.toml >> .cargo/config
+cat .vendor/config.toml >> .cargo/config.toml
 
 %build
 %cargo_build
diff --git a/rpms/cosmic-settings-daemon/cosmic-settings-daemon.spec b/rpms/cosmic-settings-daemon/cosmic-settings-daemon.spec
index 69f599b..09c2bb8 100644
--- a/rpms/cosmic-settings-daemon/cosmic-settings-daemon.spec
+++ b/rpms/cosmic-settings-daemon/cosmic-settings-daemon.spec
@@ -71,7 +71,7 @@ Requires:       acpid
 %prep
 %autosetup -n %{crate}-%{commit} -p1 -a1
 %cargo_prep -N
-cat .vendor/config.toml >> .cargo/config
+cat .vendor/config.toml >> .cargo/config.toml
 
 %build
 %cargo_build
diff --git a/rpms/cosmic-settings/cosmic-settings.spec b/rpms/cosmic-settings/cosmic-settings.spec
index 3c3bc04..32e7603 100644
--- a/rpms/cosmic-settings/cosmic-settings.spec
+++ b/rpms/cosmic-settings/cosmic-settings.spec
@@ -72,7 +72,7 @@ BuildRequires:  just
 %prep
 %autosetup -n cosmic-settings-%{commit} -p1 -a1
 %cargo_prep -N
-cat .vendor/config.toml >> .cargo/config
+cat .vendor/config.toml >> .cargo/config.toml
 
 %build
 %cargo_build
diff --git a/rpms/cosmic-store/cosmic-store.spec b/rpms/cosmic-store/cosmic-store.spec
index 19fa766..c73357c 100644
--- a/rpms/cosmic-store/cosmic-store.spec
+++ b/rpms/cosmic-store/cosmic-store.spec
@@ -72,7 +72,7 @@ Requires:       flatpak-libs
 %prep
 %autosetup -n cosmic-store-%{commit} -p1 -a1
 %cargo_prep -N
-cat .vendor/config.toml >> .cargo/config
+cat .vendor/config.toml >> .cargo/config.toml
 
 %build
 %cargo_build
diff --git a/rpms/cosmic-term/cosmic-term.spec b/rpms/cosmic-term/cosmic-term.spec
index c37291a..dd19140 100644
--- a/rpms/cosmic-term/cosmic-term.spec
+++ b/rpms/cosmic-term/cosmic-term.spec
@@ -73,7 +73,7 @@ BuildRequires:  git-core
 %prep
 %autosetup -n %{crate}-%{commit} -p1 -a1
 %cargo_prep -N
-cat .vendor/config.toml >> .cargo/config
+cat .vendor/config.toml >> .cargo/config.toml
 
 %build
 %cargo_build
diff --git a/rpms/cosmic-workspaces/cosmic-workspaces.spec b/rpms/cosmic-workspaces/cosmic-workspaces.spec
index 5ca10eb..343d7ca 100644
--- a/rpms/cosmic-workspaces/cosmic-workspaces.spec
+++ b/rpms/cosmic-workspaces/cosmic-workspaces.spec
@@ -77,7 +77,7 @@ Requires:       cosmic-comp
 %prep
 %autosetup -n %{crate}-%{commit} -p1 -a1
 %cargo_prep -N
-cat .vendor/config.toml >> .cargo/config
+cat .vendor/config.toml >> .cargo/config.toml
 
 %build
 %cargo_build
diff --git a/rpms/pop-launcher/pop-launcher.spec b/rpms/pop-launcher/pop-launcher.spec
index feef095..70c63d5 100644
--- a/rpms/pop-launcher/pop-launcher.spec
+++ b/rpms/pop-launcher/pop-launcher.spec
@@ -70,7 +70,7 @@ Requires:       fd-find
 %prep
 %autosetup -n pop-launcher-%{commit} -p1 -a1
 %cargo_prep -N
-cat .vendor/config.toml >> .cargo/config
+cat .vendor/config.toml >> .cargo/config.toml
 
 %build
 just build-release --offline --frozen
diff --git a/rpms/xdg-desktop-portal-cosmic/xdg-desktop-portal-cosmic.spec b/rpms/xdg-desktop-portal-cosmic/xdg-desktop-portal-cosmic.spec
index df7ede6..216c89a 100644
--- a/rpms/xdg-desktop-portal-cosmic/xdg-desktop-portal-cosmic.spec
+++ b/rpms/xdg-desktop-portal-cosmic/xdg-desktop-portal-cosmic.spec
@@ -76,7 +76,7 @@ BuildRequires:  just
 %prep
 %autosetup -n %{crate}-%{commit} -p1 -a1
 %cargo_prep -N
-cat .vendor/config.toml >> .cargo/config
+cat .vendor/config.toml >> .cargo/config.toml
 
 %build
 %cargo_build

